Subject: [Dots] One or two key values (RE: DOTS telemetry questions)

From: <[email-masked]>
Date: Mon, 24 Feb 2020 07:41:23 +0000

Hi Jon,

(separating the issues to ease tracking them)

[Med] An issue with namespaces will be the encountered if the conversion is the same for the attribute when it is carried in a "pure" telemetry message or in an existing signal channel message.
Jon1> Correct - I don't like the concept of having 2 mapping tables for mapping the CBOR value back into JSON.

An updated table is available at: https://github.com/boucadair/draft-dots-telemetry/blob/master/mapping-table.txt

Cheers,
Med

De : Jon Shallow [mailto:[email-masked]]
Envoyé : vendredi 21 février 2020 16:46
À : BOUCADAIR Mohamed TGI/OLN; Konda, Tirumaleswar Reddy; kaname nishizuka; [email-masked]
Objet : RE: [Dots] DOTS telemetry questions

Hi,

See inline Jon1>

Regards

Jon

De : Jon Shallow [mailto:[email-masked]]
Envoyé : jeudi 20 février 2020 21:58
À : BOUCADAIR Mohamed TGI/OLN; Konda, Tirumaleswar Reddy; kaname nishizuka
Objet : DOTS telemetry questions

Hi Guys,

1)      For example CBOR mappings

     Header: PUT (Code=0.03)
     Uri-Path: ".well-known"
     Uri-Path: "dots"
     Uri-Path: "mitigate"
     Uri-Path: "cuid=dz6pHjaADkaFTbjr0JGBpw"
     Uri-Path: "mid=123"
     If-Match:
     Content-Format: "application/dots+cbor"

     {
      "ietf-dots-signal-channel:mitigation-scope": {
        "scope": [
          {
            "alias-name": [
               "myserver"
             ],
            "attack-status": "under-attack",
            "ietf-dots-telemetry:total-attack-traffic": [
              {
                "ietf-dots-telemetry:unit": "megabytes-ps",
                "ietf-dots-telemetry:mid-percentile-g": "900"
              }
            ]
          }
        ]
      }
     }

    Figure 33: An Example of Mitigation Efficacy Update with Telemetry
                                Attributes

And yet the mapping table only has (no ietf-dots-telemetry: prefix)

    | total-attack-traffic | list        |32794 | 4 array       | Array  |

I appreciate that ietf-dots-telemetry:total-attack-traffic and total-attack traffic are the same CBOR value (or are they?)
[Med] The same value is used but I didn't check if there are side effects.
Jon> Need to think this through.  My implementation maps the CBOR into JSON and then works on the JSON to do what is necessary and then converts the JSON response back into CBOR.
[Med] An issue with namespaces will be the encountered if the conversion is the same for the attribute when it is carried in a "pure" telemetry message or in an existing signal channel message.
Jon1> Correct - I don't like the concept of having 2 mapping tables for mapping the CBOR value back into JSON.